# Item

### Foodtruck

## - 영업 시간 설정

<mark style="color:purple;">`PATCH`</mark> `/items/v1/stores/{store_id}`

푸드트럭 영업시간 설정

#### Path Parameters

| Name                                        | Type    | Description |
| ------------------------------------------- | ------- | ----------- |
| store\_id<mark style="color:red;">\*</mark> | integer |             |

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| Authorization<mark style="color:red;">\*</mark> | String | JWT token   |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

## - 유저 입장) 가게 정보 조회

<mark style="color:blue;">`GET`</mark> `/items/v1/stores/{store_id}`

#### Path Parameters

| Name                                        | Type    | Description |
| ------------------------------------------- | ------- | ----------- |
| store\_id<mark style="color:red;">\*</mark> | integer |             |

{% tabs %}
{% tab title="401: Unauthorized " %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="200: OK " %}

```javascript
{
    "status": 200,
    "data": {
        "store_id": ,
        "store_name": ,
        "phone_num": ,
        "address": {
            "city": ,
            "street": ,
            "zipcode": ,
            "latitude": ,
            "longitude": ,
        },
        "is_open": ,
        "total_waiting_count": ,
        "notice": ,
        "avg_rate": ,
    }
}
```

{% endtab %}
{% endtabs %}

## - 점주 입장) 가게 정보 조회

<mark style="color:blue;">`GET`</mark> `/items/v1/stores`

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| Authorization<mark style="color:red;">\*</mark> | String | JWT token   |

{% tabs %}
{% tab title="401: Unauthorized " %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="200: OK " %}

```javascript
{
    "status": 200,
    "data": {
        "store_id": ,
        "store_name": ,
        "phone_num": ,
        "address": {
            "city": ,
            "street": ,
            "zipcode": ,
            "latitude": ,
            "longitude": ,
        },
        "is_open": ,
        "total_waiting_count": ,
        "notice": ,
        "avg_rate": ,
        "b_no": ,
        "p_nm": ,
        "s_dt": ,
    }
}
```

{% endtab %}
{% endtabs %}

## - 가게 정보 등록

<mark style="color:green;">`POST`</mark> `/items/v1/stores`

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| Authorization<mark style="color:red;">\*</mark> | String | JWT token   |

#### Request Body

| Name                                          | Type   | Description |
| --------------------------------------------- | ------ | ----------- |
| email<mark style="color:red;">\*</mark>       | String |             |
| b\_no<mark style="color:red;">\*</mark>       | String | 사업자 등록 번호   |
| store\_name<mark style="color:red;">\*</mark> | String |             |
| category<mark style="color:red;">\*</mark>    | String |             |
| main\_area<mark style="color:red;">\*</mark>  | String |             |
| image                                         | String |             |
| s\_dt<mark style="color:red;">\*</mark>       | String | 개업일         |
| p\_nam<mark style="color:red;">\*</mark>      | String | 대표자성명       |

{% tabs %}
{% tab title="201: Created " %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

## - 가게 정보 수정

<mark style="color:purple;">`PATCH`</mark> `/items/v1/stores/{store_id}`

#### Path Parameters

| Name                                        | Type    | Description |
| ------------------------------------------- | ------- | ----------- |
| store\_id<mark style="color:red;">\*</mark> | integer |             |

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| Authorization<mark style="color:red;">\*</mark> | String | JWT token   |

#### Request Body

| Name                                          | Type   | Description |
| --------------------------------------------- | ------ | ----------- |
| store\_name<mark style="color:red;">\*</mark> | String |             |
| category<mark style="color:red;">\*</mark>    | String |             |
| main\_area<mark style="color:red;">\*</mark>  | String |             |
| image                                         | String |             |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

## - 가게 정보 삭제

<mark style="color:red;">`DELETE`</mark> `/items/v1/stores/{store_id}`

#### Path Parameters

| Name                                        | Type    | Description |
| ------------------------------------------- | ------- | ----------- |
| store\_id<mark style="color:red;">\*</mark> | integer |             |

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| Authorization<mark style="color:red;">\*</mark> | String | JWT token   |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

## - 특정 푸드트럭 검색

<mark style="color:blue;">`GET`</mark> `/items/v1/search/stores`

#### Request Body

| Name        | Type   | Description |
| ----------- | ------ | ----------- |
| store\_name | String | 가게명         |
| item\_name  | String | 메뉴명         |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // 통합 검
    "status": 200,
    "data": [
        {
            "store_id": ,
            "store_name": ,
            "store_image": ,
            "is_open": ,
            "avg_rate": ,
        },
        ...
    ]
    
}
```

{% endtab %}
{% endtabs %}

## - 주변 푸드트럭 검색

<mark style="color:blue;">`GET`</mark> `/items/v1/search/stores?query=`

#### Query Parameters

| Name                                    | Type   | Description |
| --------------------------------------- | ------ | ----------- |
| query<mark style="color:red;">\*</mark> | String | 푸드트럭 검색 쿼리  |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // 
    "status": 200,
    "data": [
        {
            "store_id": ,
            "store_name": ,
            "address": {
                "city": ,
                "street": ,
                "zipcode": ,
                "latitude": ,
                "longitude": ,
            },
            "is_open": ,
            "avg_rate": ,
        },
        ...
    ]
    
}
```

{% endtab %}
{% endtabs %}

### Like

## - 찜 목록 검색

<mark style="color:blue;">`GET`</mark> `/items/v1/likes`

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| Authorization<mark style="color:red;">\*</mark> | String | JWT token   |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // 해당 유저의 찜 목록
    "status": 200,
    "data": [
        {
            "like_id": ,
            "store_id": ,
            "store_name": ,
            "store_img": ,
            "avg_rate": ,
        },
        ...
    ]
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

## - 찜 선택

<mark style="color:green;">`POST`</mark> `/items/v1/likes`

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| Authorization<mark style="color:red;">\*</mark> | String | JWT token   |

#### Request Body

| Name                                        | Type    | Description |
| ------------------------------------------- | ------- | ----------- |
| store\_id<mark style="color:red;">\*</mark> | integer |             |

{% tabs %}
{% tab title="401: Unauthorized " %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="201: Created " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

## - 찜 삭제

<mark style="color:red;">`DELETE`</mark> `/items/v1/likes/{like_id}`

#### Path Parameters

| Name                                       | Type   | Description |
| ------------------------------------------ | ------ | ----------- |
| like\_id<mark style="color:red;">\*</mark> | String |             |

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| Authorization<mark style="color:red;">\*</mark> | String | JWT token   |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

### Item

## - 점주 입장) 메뉴 조회

<mark style="color:blue;">`GET`</mark> `/items/v1`

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| Authorization<mark style="color:red;">\*</mark> | String | JWT token   |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // 해당 매장의 메뉴 목록
    "status": 200,
    "data": [
        {
            "item_id": ,
            "item_name": ,
            "description": ,
            "price": ,
            "item_img": ,
        },
        ...
    ]
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

## - 점주 입장) 메뉴 등록

<mark style="color:green;">`POST`</mark> `/items/v1`

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| Authorization<mark style="color:red;">\*</mark> | String | JWT token   |

#### Request Body

| Name                                          | Type   | Description |
| --------------------------------------------- | ------ | ----------- |
| name<mark style="color:red;">\*</mark>        | String | 메뉴 이름       |
| description<mark style="color:red;">\*</mark> | String | 메뉴 설명       |
| price<mark style="color:red;">\*</mark>       | String | 메뉴 가격       |
| image<mark style="color:red;">\*</mark>       | String | 메뉴 이미지      |

{% tabs %}
{% tab title="401: Unauthorized " %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="201: Created " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

## - 점주 입장) 메뉴 수정

<mark style="color:purple;">`PATCH`</mark> `/items/v1/{item_id}`

#### Path Parameters

| Name                                       | Type   | Description |
| ------------------------------------------ | ------ | ----------- |
| item\_id<mark style="color:red;">\*</mark> | String |             |

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| Authorization<mark style="color:red;">\*</mark> | String | JWT token   |

#### Request Body

| Name                                          | Type    | Description |
| --------------------------------------------- | ------- | ----------- |
| description<mark style="color:red;">\*</mark> | String  | 메뉴 설명       |
| name<mark style="color:red;">\*</mark>        | String  | 메뉴 이름       |
| price<mark style="color:red;">\*</mark>       | integer | 메뉴 가격       |
| image                                         | String  | 메뉴 이미지      |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

## - 점주 입장) 메뉴 삭제

<mark style="color:red;">`DELETE`</mark> `/items/v1/{item_id}`

#### Path Parameters

| Name                                       | Type   | Description |
| ------------------------------------------ | ------ | ----------- |
| item\_id<mark style="color:red;">\*</mark> | String |             |

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| Authorization<mark style="color:red;">\*</mark> | String | JWT token   |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://foodtruckaroundme.gitbook.io/api-reference/item.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
